Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveExperimentManagerView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveExperimentManagerView.Designer.cs	(revision 4760)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveExperimentManagerView.Designer.cs	(revision 4760)
@@ -0,0 +1,109 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Hive.ExperimentManager.Views {
+  partial class HiveExperimentManagerView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(HiveExperimentManagerView));
+      this.hiveExperimentListView = new HeuristicLab.Hive.ExperimentManager.Views.HiveExperimentListView();
+      this.updateExperimentsButton = new System.Windows.Forms.Button();
+      this.updateExperimentsPanel = new System.Windows.Forms.Panel();
+      this.updateExperimentsPanel.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // hiveExperimentListView
+      // 
+      this.hiveExperimentListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.hiveExperimentListView.Caption = "HiveExperimentList View";
+      this.hiveExperimentListView.Content = null;
+      this.hiveExperimentListView.Location = new System.Drawing.Point(3, 3);
+      this.hiveExperimentListView.Name = "hiveExperimentListView";
+      this.hiveExperimentListView.ReadOnly = false;
+      this.hiveExperimentListView.Size = new System.Drawing.Size(729, 518);
+      this.hiveExperimentListView.TabIndex = 0;
+      // 
+      // updateExperimentsButton
+      // 
+      this.updateExperimentsButton.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.updateExperimentsButton.Image = ((System.Drawing.Image)(resources.GetObject("updateExperimentsButton.Image")));
+      this.updateExperimentsButton.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
+      this.updateExperimentsButton.Location = new System.Drawing.Point(87, 28);
+      this.updateExperimentsButton.Name = "updateExperimentsButton";
+      this.updateExperimentsButton.Size = new System.Drawing.Size(175, 59);
+      this.updateExperimentsButton.TabIndex = 5;
+      this.updateExperimentsButton.Text = "Update Experiment List";
+      this.updateExperimentsButton.UseVisualStyleBackColor = true;
+      this.updateExperimentsButton.Click += new System.EventHandler(this.updateExperimentsButton_Click);
+      // 
+      // updateExperimentsPanel
+      // 
+      this.updateExperimentsPanel.Controls.Add(this.updateExperimentsButton);
+      this.updateExperimentsPanel.Location = new System.Drawing.Point(228, 0);
+      this.updateExperimentsPanel.Name = "updateExperimentsPanel";
+      this.updateExperimentsPanel.Size = new System.Drawing.Size(360, 103);
+      this.updateExperimentsPanel.TabIndex = 6;
+      // 
+      // HiveClientView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.updateExperimentsPanel);
+      this.Controls.Add(this.hiveExperimentListView);
+      this.Name = "HiveClientView";
+      this.Size = new System.Drawing.Size(735, 524);
+      this.updateExperimentsPanel.ResumeLayout(false);
+      this.ResumeLayout(false);
+
+    }
+    #endregion
+
+    private System.Windows.Forms.Button updateExperimentsButton;
+    private HiveExperimentListView hiveExperimentListView;
+    private System.Windows.Forms.Panel updateExperimentsPanel;
+
+
+  }
+}
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveExperimentManagerView.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveExperimentManagerView.cs	(revision 4760)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveExperimentManagerView.cs	(revision 4760)
@@ -0,0 +1,119 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Threading;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.ExperimentManager.Views {
+  /// <summary>
+  /// The base class for visual representations of items.
+  /// </summary>
+  [View("Hive Experiment Manager View")]
+  [Content(typeof(HiveExperimentManager), true)]
+  public sealed partial class HiveExperimentManagerView : ItemView {
+    private ProgressView progressView;
+
+    public new HiveExperimentManager Content {
+      get { return (HiveExperimentManager)base.Content; }
+      set { base.Content = value; }
+    }
+
+    /// <summary>
+    /// Initializes a new instance of <see cref="ItemBaseView"/>.
+    /// </summary>
+    public HiveExperimentManagerView() {
+      InitializeComponent();
+      updateExperimentsPanel.Dock = DockStyle.Fill;
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      Content_HiveExperimentsChanged(this, EventArgs.Empty);
+      Content_IsProgressingChanged(this, EventArgs.Empty);
+    }
+
+    protected override void RegisterContentEvents() {
+      this.Content.HiveExperimentsChanged += new EventHandler(Content_HiveExperimentsChanged);
+      this.Content.IsProgressingChanged += new EventHandler(Content_IsProgressingChanged);
+    }
+
+    protected override void DeregisterContentEvents() {
+      this.Content.HiveExperimentsChanged -= new EventHandler(Content_HiveExperimentsChanged);
+      this.Content.IsProgressingChanged -= new EventHandler(Content_IsProgressingChanged);
+    }
+
+    private void Content_HiveExperimentsChanged(object sender, EventArgs e) {
+      if (Content != null) {
+        this.hiveExperimentListView.Content = Content.HiveExperiments;
+      }
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      updateExperimentsPanel.Visible = Content != null && Content.HiveExperiments == null;
+
+    }
+
+    private void updateExperimentsButton_Click(object sender, EventArgs e) {
+      MethodInvoker invoker = new MethodInvoker(Content.UpdateExperimentList);
+      invoker.BeginInvoke((ar) => {
+        try {
+          invoker.EndInvoke(ar);
+        }
+        catch (Exception ex) {
+          ThreadPool.QueueUserWorkItem(delegate(object exception) { ErrorHandling.ShowErrorDialog(this, (Exception)exception); }, ex);
+        }
+      }, null);
+    }
+
+    private void Content_IsProgressingChanged(object sender, EventArgs e) {
+      if (this.InvokeRequired) {
+        Invoke(new EventHandler(Content_IsProgressingChanged), sender, e);
+      } else {
+        if (Content != null && Content.IsProgressing) {
+          SetProgressView();
+        } else {
+          FinishProgressView();
+        }
+      }
+    }
+
+    private void SetProgressView() {
+      if (progressView == null) {
+        progressView = new ProgressView(this, Content.Progress);
+      } else {
+        progressView.Progress = Content.Progress;
+      }
+    }
+
+    private void FinishProgressView() {
+      if (progressView != null) {
+        progressView.Finish();
+        progressView = null;
+        SetEnabledStateOfControls();
+      }
+    }
+  }
+}
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveExperimentView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveExperimentView.Designer.cs	(revision 4759)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveExperimentView.Designer.cs	(revision 4760)
@@ -20,5 +20,5 @@
 #endregion
 
-namespace HeuristicLab.Hive.Experiment.Views {
+namespace HeuristicLab.Hive.ExperimentManager.Views {
   partial class HiveExperimentView {
     /// <summary> 
@@ -53,5 +53,5 @@
       this.viewExperimentButton = new System.Windows.Forms.Button();
       this.jobsTabPage = new System.Windows.Forms.TabPage();
-      this.hiveJobView = new HeuristicLab.Hive.Experiment.Views.HiveJobView();
+      this.hiveJobView = new HeuristicLab.Hive.ExperimentManager.Views.HiveJobView();
       this.logTabPage = new System.Windows.Forms.TabPage();
       this.logView = new HeuristicLab.Core.Views.LogView();
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveExperimentView.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveExperimentView.cs	(revision 4759)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveExperimentView.cs	(revision 4760)
@@ -29,5 +29,5 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Hive.Experiment.Views {
+namespace HeuristicLab.Hive.ExperimentManager.Views {
   /// <summary>
   /// The base class for visual representations of items.
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveJobListView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveJobListView.Designer.cs	(revision 4759)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveJobListView.Designer.cs	(revision 4760)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Hive.Experiment.Views {
+﻿namespace HeuristicLab.Hive.ExperimentManager.Views {
   partial class HiveJobListView {
     /// <summary> 
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveJobListView.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveJobListView.cs	(revision 4759)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveJobListView.cs	(revision 4760)
@@ -25,5 +25,5 @@
 using HeuristicLab.MainForm;
 
-namespace HeuristicLab.Hive.Experiment.Views {
+namespace HeuristicLab.Hive.ExperimentManager.Views {
   [View("JobItemList View")]
   [Content(typeof(HiveJobList), true)]
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveJobView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveJobView.Designer.cs	(revision 4759)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveJobView.Designer.cs	(revision 4760)
@@ -1,3 +1,3 @@
-﻿namespace HeuristicLab.Hive.Experiment.Views {
+﻿namespace HeuristicLab.Hive.ExperimentManager.Views {
   partial class HiveJobView {
     /// <summary> 
@@ -53,5 +53,5 @@
       this.jobIdTextBox = new System.Windows.Forms.TextBox();
       this.childJobsTabPage = new System.Windows.Forms.TabPage();
-      this.childHiveJobView = new HeuristicLab.Hive.Experiment.Views.HiveJobListView();
+      this.childHiveJobView = new HeuristicLab.Hive.ExperimentManager.Views.HiveJobListView();
       this.runsTabPage = new System.Windows.Forms.TabPage();
       this.logTabPage = new System.Windows.Forms.TabPage();
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveJobView.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveJobView.cs	(revision 4759)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/HiveJobView.cs	(revision 4760)
@@ -25,5 +25,5 @@
 using HeuristicLab.MainForm;
 
-namespace HeuristicLab.Hive.Experiment.Views {
+namespace HeuristicLab.Hive.ExperimentManager.Views {
   [View("HiveJob View")]
   [Content(typeof(HiveJob), true)]
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/MenuItems/ConnectionSetupMenuItem.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/MenuItems/ConnectionSetupMenuItem.cs	(revision 4759)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/MenuItems/ConnectionSetupMenuItem.cs	(revision 4760)
@@ -21,13 +21,15 @@
 
 using System.Collections.Generic;
-using HeuristicLab.Hive.Experiment.Views;
+using HeuristicLab.Hive.ExperimentManager.Views;
+using System.Windows.Forms;
+using HeuristicLab.MainForm;
 
 namespace HeuristicLab.Optimizer.MenuItems {
-  internal class ConnectionSetupMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItem, IOptimizerUserInterfaceItemProvider {
+  public class ConnectionSetupMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItem, IOptimizerUserInterfaceItemProvider {
     public override string Name {
-      get { return "&Connection Setup"; }
+      get { return "Set &Username / Password..."; }
     }
     public override IEnumerable<string> Structure {
-      get { return new string[] { "&Hive Infrastructure" }; }
+      get { return new string[] { "&Services", "&Hive" }; }
     }
     public override System.Drawing.Image Image {
@@ -37,8 +39,10 @@
     }
     public override void Execute() {
-      new ConnectionSetupView().Show();
+      using (var dialog = new ConnectionSetupView()) {
+        dialog.ShowDialog((IWin32Window)MainFormManager.MainForm);
+      }
     }
     public override int Position {
-      get { return 1600; }
+      get { return 10000; }
     }
   }
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/MenuItems/ExperimentManagerMenuItem.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/MenuItems/ExperimentManagerMenuItem.cs	(revision 4760)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/MenuItems/ExperimentManagerMenuItem.cs	(revision 4760)
@@ -0,0 +1,43 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Collections.Generic;
+using HeuristicLab.Hive.ExperimentManager.Views;
+using HeuristicLab.Hive.ExperimentManager;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+
+namespace HeuristicLab.Optimizer.MenuItems {
+  public class ExperimentManagerMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItem, IOptimizerUserInterfaceItemProvider {
+    public override string Name {
+      get { return "&Experiment Manager"; }
+    }
+    public override IEnumerable<string> Structure {
+      get { return new string[] { "&Services", "&Hive" }; }
+    }
+    public override void Execute() {
+      MainFormManager.MainForm.ShowContent(new HiveExperimentManager());
+    }
+    public override int Position {
+      get { return 11000; }
+    }
+  }
+}
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/ProgressView.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/ProgressView.Designer.cs	(revision 4759)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/ProgressView.Designer.cs	(revision 4760)
@@ -1,4 +1,4 @@
 ﻿using HeuristicLab.MainForm.WindowsForms;
-namespace HeuristicLab.Hive.Experiment.Views {
+namespace HeuristicLab.Hive.ExperimentManager.Views {
   partial class ProgressView : View {
     /// <summary> 
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/ProgressView.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/ProgressView.cs	(revision 4759)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/ProgressView.cs	(revision 4760)
@@ -24,5 +24,5 @@
 using HeuristicLab.MainForm.WindowsForms;
 
-namespace HeuristicLab.Hive.Experiment.Views {
+namespace HeuristicLab.Hive.ExperimentManager.Views {
   public partial class ProgressView : HeuristicLab.MainForm.WindowsForms.View {
     private ContentView parentView;
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/Properties/Resources.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/Properties/Resources.Designer.cs	(revision 4759)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager.Views/3.3/Properties/Resources.Designer.cs	(revision 4760)
@@ -9,5 +9,5 @@
 //------------------------------------------------------------------------------
 
-namespace HeuristicLab.Hive.Experiment.Views.Properties {
+namespace HeuristicLab.Hive.ExperimentManager.Views.Properties {
     using System;
     
@@ -40,5 +40,5 @@
             get {
                 if (object.ReferenceEquals(resourceMan, null)) {
-                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.Hive.Experiment.Views.Properties.Resources", typeof(Resources).Assembly);
+                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.Hive.ExperimentManager.Views.Properties.Resources", typeof(Resources).Assembly);
                     resourceMan = temp;
                 }
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/Exceptions/AddJobToHiveException.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/Exceptions/AddJobToHiveException.cs	(revision 4759)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/Exceptions/AddJobToHiveException.cs	(revision 4760)
@@ -22,5 +22,5 @@
 using System;
 
-namespace HeuristicLab.Hive.Experiment {
+namespace HeuristicLab.Hive.ExperimentManager {
   class AddJobToHiveException : Exception {
     public AddJobToHiveException(string message) : base(message) { }
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/Exceptions/JobResultPollingException.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/Exceptions/JobResultPollingException.cs	(revision 4759)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/Exceptions/JobResultPollingException.cs	(revision 4760)
@@ -22,5 +22,5 @@
 using System;
 
-namespace HeuristicLab.Hive.Experiment {
+namespace HeuristicLab.Hive.ExperimentManager {
   class JobResultPollingException : Exception {
     public JobResultPollingException(string message) : base(message) { }
Index: /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/Exceptions/OptimizerNotFoundException.cs
===================================================================
--- /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/Exceptions/OptimizerNotFoundException.cs	(revision 4759)
+++ /branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.ExperimentManager/3.3/Exceptions/OptimizerNotFoundException.cs	(revision 4760)
@@ -22,5 +22,5 @@
 using System;
 
-namespace HeuristicLab.Hive.Experiment {
+namespace HeuristicLab.Hive.ExperimentManager {
   class OptimizerNotFoundException : Exception {
     public OptimizerNotFoundException(string message) : base(message) { }
